Page MenuHomePhabricator

multiple new links notification should provide names of newly linked pages
Closed, ResolvedPublic

Description

If a page has multiple new incoming links from other pages, the Echo UI notification provides the name of one of the other pages, and offers the user to look at special:whatlinkshere. It does not provide the names of all of the pages it is referring to.

I dont find that offer very helpful, as I typically want to review the changes made to the linking pages, as is quite easy when the notification is for only one incoming link.

The workflow for one vs multiple incoming links should be roughly the same.

I appreciate the drop down notification is space limited, but maybe the special:notifications message could explicitly list all of the other pages.

Or the link which currently goes to Whatlinkshere could be changed to a new 'RecentIncomingLinks' page which lists all of the pages relevent to the notification.

At the very least, I would prefer that the echo notification links to 'RecentChangesLinked' with 'Show changes to pages linked to the given page instead' to show a list of the diffs that introduced the links that I am being notified about.

Unfortunately that link to RecentChangesLinked would include a other changes, but it at least sends me to a page where I can determine what the notification was about.


Version: unspecified
Severity: normal

Details

Reference
bz65662

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz65662.
bzimport added a subscriber: Unknown Object (MLST).
jayvdb created this task.May 23 2014, 3:13 AM
EBernhardson triaged this task as Low priority.Feb 26 2015, 7:01 PM
EBernhardson added a subscriber: EBernhardson.
Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 8:26 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 6 2015, 8:26 AM

RecentChangesLinked shows changes to pages linked *from* the specified page, whereas the notification is about links *to* it.

Sorry, I should have read more closely. I see from the page (and your comment) there is an option to go the other way.

DannyH removed a subscriber: DannyH.Apr 14 2016, 12:01 AM
Catrope closed this task as Resolved.Jul 20 2016, 1:13 AM
Catrope claimed this task.
Catrope added a subscriber: Catrope.